__gnu_cxx::debug_allocator< _Alloc > Class Template Reference
Utilities » Memory » Allocators

## Public Types

typedef _Traits::const_pointer | const_pointer
typedef _Traits::const_reference | const_reference
typedef _Traits::difference_type | difference_type
typedef _Traits::pointer | pointer
typedef _Traits::reference | reference
typedef _Traits::size_type | size_type
typedef _Traits::value_type | value_type

## Public Member Functions

template<typename _Alloc2 >
| debug_allocator (const debug_allocator< _Alloc2 > &__a2, typename __convertible< _Alloc2 >::__type=0)
| debug_allocator (const _Alloc &__a)
pointer | allocate (size_type __n)
pointer | allocate (size_type __n, const void *__hint)
void | construct (pointer __p, const value_type &__val)
template<typename _Tp , typename... _Args>
void | construct (_Tp *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type __n)
template<typename _Tp >
void | destroy (_Tp *__p)
size_type | max_size () const throw ()

## Friends

template<typename >
class | debug_allocator
bool | operator== (const debug_allocator &__lhs, const debug_allocator &__rhs)

## Detailed Description

### template<typename _Alloc>
class __gnu_cxx::debug_allocator< _Alloc >

A meta-allocator with debugging bits.

This is precisely the allocator defined in the C++03 Standard.

Definition at line 62 of file debug_allocator.h.

The documentation for this class was generated from the following file:

- debug_allocator.h